Last Comment Bug 758396 - Let MFBT LinkedList allow const
: Let MFBT LinkedList allow const
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: MFBT (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla15
Assigned To: Benoit Jacob [:bjacob] (mostly away)
:
Mentors:
Depends on:
Blocks: 758404
  Show dependency treegraph
 
Reported: 2012-05-24 14:45 PDT by Benoit Jacob [:bjacob] (mostly away)
Modified: 2012-05-30 07:49 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
constipate LinkedList (5.98 KB, patch)
2012-05-24 14:45 PDT, Benoit Jacob [:bjacob] (mostly away)
justin.lebar+bug: review+
jwalden+bmo: feedback+
Details | Diff | Review

Description Benoit Jacob [:bjacob] (mostly away) 2012-05-24 14:45:37 PDT
Created attachment 626977 [details] [diff] [review]
constipate LinkedList

LinkedList doesn't currently have const-qualified methods, so one can't perform even read-only operations on const LinkedList references.
Comment 1 Justin Lebar (not reading bugmail) 2012-05-25 07:35:46 PDT
Comment on attachment 626977 [details] [diff] [review]
constipate LinkedList

r=me, but we should wait for Waldo to at least sign off on my reviewing this stuff.

My preference would be not to repeat the comments for these methods, but whatever you and Waldo want to do is fine.
Comment 2 Jeff Walden [:Waldo] (remove +bmo to email) 2012-05-29 11:00:20 PDT
Comment on attachment 626977 [details] [diff] [review]
constipate LinkedList

Review of attachment 626977 [details] [diff] [review]:
-----------------------------------------------------------------

Yeah, I'd say just mash the const methods up against the non-const methods and let the lack of spacing imply identical interfaces, or something like that.
Comment 3 Benoit Jacob [:bjacob] (mostly away) 2012-05-29 11:48:35 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/b687f70200f7

Applied the idea from comment 2.
Comment 4 Ed Morley [:emorley] 2012-05-30 07:49:35 PDT
https://hg.mozilla.org/mozilla-central/rev/b687f70200f7

Note You need to log in before you can comment on or make changes to this bug.